%define _x_bindir	%{_prefix}/X11R6/bin
%define tvfontdir	%{_datadir}/fonts/tv-fonts

Summary: Bitmap fonts for xawtv
Name: tv-fonts
Version: 1.1
Release: 1%{?dist}
URL: http://bytesex.org/xawtv/
Source0: http://bytesex.org/xawtv/%{name}-%{version}.tar.bz2
License: Freely distributable
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: xorg-x11-font-utils
PreReq: xorg-x11-server-utils
PreReq: xorg-x11-font-utils
PreReq: chkfontpath
BuildArchitectures: noarch
Obsoletes: xawtv-%{name}

%description
This package includes some bitmaps fonts for xawtv.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{tvfontdir}
cp *.gz %{buildroot}%{tvfontdir}

%post
{
    umask 133
    %{_bindir}/mkfontdir %{tvfontdir}
    /usr/sbin/chkfontpath -q -a %{tvfontdir}:unscaled
} &> /dev/null || :

%postun
{
    if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{tvfontdir}:unscaled
    fi
} &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{tvfontdir}

%changelog
* Sat Nov 25 2006 Peter Hanecak <hany@hany.sk> 1.1-1
- synchronized with ATRPMS' tv-fonts-1.1-5 package
- build requires xorg-x11-font-utils instead of /usr/X11R6/bin/bdftopcf
- requires xorg-x11-server-utils, xorg-x11-font-utils and chkfontpath
  instead of /usr/bin/xset, /usr/bin/mkfontdir and /usr/sbin/chkfontpath

* Wed Jun 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build (split off from xawtv rpm).

* Tue Jan 28 2003 Peter Hanecak <hanecak@megaloman.sk> 1.0-1
- initial spec derived from xawtv spec
